name: butler
description: "Run butler client commands."
inputs:
  command:
    description: "Arguments to pass into butler."
    required: true
  apiKey:
    description: "Itch.io API key."
    required: true
  catchErrors:
    description: "Whether or not errors should be handled."
    required: false
outputs:
  console:
    description: "The console output of the butler command."
  exitCode:
    description: "How the program exited."
runs:
  using: docker
  image: Dockerfile
  env:
    CATCH_ERRORS: ${{ inputs.catchErrors }}
    BUTLER_API_KEY: ${{ inputs.apiKey }}
  args:
  - ${{ inputs.command }}
